Bug 106825 - up2date 4.1.5-1 acts strangely after allowing priority pkg update
up2date 4.1.5-1 acts strangely after allowing priority pkg update
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 19:54 EDT by Paul W. Frields
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-14 09:14:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2003-10-10 19:54:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031008

Description of problem:
Just upgraded to up2date-4.1.5-1 (about 30 sec ago)... progress dialog is frozen
at the "Testing package set / solving RPM inter-dependencies" stage. There are a
large number of entries in the main dialog for Canna-3.6-22, I can't tell how
many due to the modality of the progress dialog.

I notice that the /etc/sysconfig/rhn/sources file has commented out the default
line for "up2date default", and instead only has a persistent directive for "yum
rawhide http://ftp.redhat.com/pub/redhat/linux/rawhide/".

Changing the directive back to the default and re-running up2date fixed the
problem, apparently, since the update is now working correctly.

Version-Release number of selected component (if applicable):
up2date-4.1.5-1

How reproducible:
Didn't try

Steps to Reproduce:
1. Run up2date for nightly fix of... er, fixes
2. up2date prompts whether I want to immediately install and use new version of
up2date... answer YES
3. Watch strange behavior with progress dialog and main dialog
    

Actual Results:  Progress dialog for dependency solution opens but does not
progress past zero... Meanwhile, main dialog fills with entries for the first
package, Canna-3.6-22.

Expected Results:  Update should complete per normal.

Additional info:

FC-0.94, has been updated as of yesterday (Oct 09 2003) with all packages except
for fedora-release-0.95 (owing to channel mismatch, which I am simply going to
wait to see shaken out).
Comment 1 Gerry Tool 2003-10-10 20:56:20 EDT
Had similar occurrence, but restarting and accepting all packages including the
fedora-release-0.95 made it work.  Only channel in up2date is now rawhide which
under channel information says yum channel rawhide from 
http://ftp.redhat.com/pub/redhat/linux/rawhide/.

All seems to be working now with this channel and fedora-release-0.95.
Comment 2 Paul W. Frields 2003-10-10 21:27:04 EDT
My system does not have yum installed (only because it apparently didn't install
as part of the standard groups I used; I didn't customize much). That might be
responsible for the problem. In that case, having the up2date package assume I
have yum present, and simply turning off the default use of the up2date source,
seems like a Bad Idea. A different %postinstall script could probably take care
of this, but I don't want to presume motive on the part of the maintainers and
RHN intellegentsia.
Comment 3 Paul W. Frields 2003-10-10 21:30:28 EDT
Double-dumb-*** on me, I suppose adding yum to the package requirements for
fedora-release-0.95 would also take care of the problem.
Comment 4 Andy Green 2003-10-11 04:07:46 EDT
I had the same behaviour, yum was not installed on my machine either. 
 
Stuck in CD3 and did as root: 
 
rpm -i /mnt/cdrom/RedHat/RPMS/yum-2.0.3-1.noarch.rpm 
 
Up2date still sits there with low (~10% of Athlon 1900+) CPU showing Progress 
Dialog and not updating its display when made dirty by putting another window 
over it, for example.  Looks locked up but I don't think it is.  Waited ten 
minutes and captured lsof 
 
[root@cb mnt]# /usr//sbin/lsof | grep yum 
[root@cb mnt]# /usr//sbin/lsof | grep 3201 
kdeinit   1381     agreen  mem    REG       33,2   432016    344456 
/usr/lib/kdesktop.so 
kdeinit   2788     agreen  mem    REG       33,2   432016    344456 
/usr/lib/kdesktop.so 
up2date   3201       root  cwd    DIR       33,2    16384   3571726 
/home/agreen 
up2date   3201       root  rtd    DIR       33,2     4096         2 / 
up2date   3201       root  txt    REG       33,2   794464    327839 
/usr/bin/python 
up2date   3201       root  mem    REG       33,2   106544   3653637 
/lib/ld-2.3.2.so 
up2date   3201       root  mem    REG       33,2    68244   4276284 
/usr/lib/python2.2/lib-dynload/structmodule.so 
up2date   3201       root  mem    REG       33,2    50690   4276281 
/usr/lib/python2.2/lib-dynload/_codecsmodule.so 
up2date   3201       root  mem    REG       33,2    14680   3653677 
/lib/libdl-2.3.2.so 
up2date   3201       root  mem    REG       33,2    97396   8864172 
/lib/tls/libpthread-0.59.so 
up2date   3201       root  mem    REG       33,2    12484   3653741 
/lib/libutil-2.3.2.so 
up2date   3201       root  mem    REG       33,2   211464   8864170 
/lib/tls/libm-2.3.2.so 
up2date   3201       root  mem    REG       33,2  1571720   8864168 
/lib/tls/libc-2.3.2.so 
up2date   3201       root  mem    REG       33,2    93664   6701495 
/usr/lib/python2.2/site-packages/rpmmodule.so 
up2date   3201       root  mem    REG       33,2    21384   4276259 
/usr/lib/python2.2/lib-dynload/strop.so 
up2date   3201       root  mem    REG       33,2    54508   4276262 
/usr/lib/python2.2/lib-dynload/timemodule.so 
up2date   3201       root  mem    REG       33,2     6384  11452506 
/usr/lib/python2.2/site-packages/rhpl/iconv.so 
up2date   3201       root  mem    REG       33,2    57415   4276267 
/usr/lib/python2.2/lib-dynload/zlibmodule.so 
up2date   3201       root  mem    REG       33,2   306880    344188 
/usr/lib/librpm-4.2.so 
up2date   3201       root  mem    REG       33,2   890744    344850 
/usr/lib/librpmdb-4.2.so 
up2date   3201       root  mem    REG       33,2   212504    344851 
/usr/lib/librpmio-4.2.so 
up2date   3201       root  mem    REG       33,2    26768    344097 
/usr/lib/libpopt.so.0.0.0 
up2date   3201       root  mem    REG       33,2    62500    344071 
/usr/lib/libelf-0.86.so 
up2date   3201       root  mem    REG       33,2    47336   8864176 
/lib/tls/librtkaio-2.3.2.so 
up2date   3201       root  mem    REG       33,2    62128    346281 
/usr/lib/libbz2.so.1.0.2 
up2date   3201       root  mem    REG       33,2   117156    347168 
/usr/lib/libbeecrypt.so.6.1.0 
up2date   3201       root  mem    REG       33,2    58605   4276273 
/usr/lib/python2.2/lib-dynload/_localemodule.so 
up2date   3201       root  mem    REG       33,2     4016  11452436 
/usr/lib/python2.2/site-packages/rhpl/_translate.so 
up2date   3201       root  mem    REG       33,2    21436   4653236 
/usr/lib/gconv/gconv-modules.cache 
up2date   3201       root  mem    REG       33,2    65112   4276244 
/usr/lib/python2.2/lib-dynload/md5module.so 
up2date   3201       root  mem    REG       33,2   156297   4276274 
/usr/lib/python2.2/lib-dynload/_socketmodule.so 
up2date   3201       root  mem    REG       33,2    52872    344120 
/usr/lib/libz.so.1.1.4 
up2date   3201       root  mem    REG       33,2    57934   4276232 
/usr/lib/python2.2/lib-dynload/cStringIO.so 
up2date   3201       root  mem    REG       33,2     8340   8732700 
/usr/lib/python2.2/site-packages/OpenSSL/rand.so 
up2date   3201       root  mem    REG       33,2    44864   8732699 
/usr/lib/python2.2/site-packages/OpenSSL/crypto.so 
up2date   3201       root  mem    REG       33,2    41068   8732757 
/usr/lib/python2.2/site-packages/OpenSSL/SSL.so 
up2date   3201       root  mem    REG       33,2   216004  18579683 
/lib/libssl.so.0.9.7a 
up2date   3201       root  mem    REG       33,2   992988  18579682 
/lib/libcrypto.so.0.9.7a 
up2date   3201       root  mem    REG       33,2    76680    347188 
/usr/lib/libgssapi_krb5.so.2.2 
up2date   3201       root  mem    REG       33,2   421732    347202 
/usr/lib/libkrb5.so.3.2 
up2date   3201       root  mem    REG       33,2     6168   3653636 
/lib/libcom_err.so.2.1 
up2date   3201       root  mem    REG       33,2   138600    347192 
/usr/lib/libk5crypto.so.3.0 
up2date   3201       root  mem    REG       33,2    72312   3653734 
/lib/libresolv-2.3.2.so 
up2date   3201       root  mem    REG       33,2    51254   4276256 
/usr/lib/python2.2/lib-dynload/selectmodule.so 
up2date   3201       root  mem    REG       33,2    48637   4276236 
/usr/lib/python2.2/lib-dynload/fcntlmodule.so 
up2date   3201       root  mem    REG       33,2    55726   4276248 
/usr/lib/python2.2/lib-dynload/operator.so 
up2date   3201       root  mem    REG       33,2   152320  11403387 
/usr/lib/python2.2/site-packages/_xmlplus/parsers/pyexpat.so 
up2date   3201       root  mem    REG       33,2    68928  19710128 
/usr/lib/orbit-2.0/Bonobo_module.so 
up2date   3201       root  mem    REG       33,2     1474   1720328 
/usr/share/locale/en_GB/LC_MESSAGES/libc.mo 
up2date   3201       root  mem    REG       33,2     5524   4653176 
/usr/lib/gconv/ISO8859-1.so 
up2date   3201       root  mem    REG       33,2     8548  19791916 
/usr/lib/python2.2/site-packages/gtk-2.0/bonobo/activation.so 
up2date   3201       root  mem    REG       33,2    52428  19791915 
/usr/lib/python2.2/site-packages/gtk-2.0/bonobo/_bonobo.so 
up2date   3201       root  mem    REG       33,2    23572  11452477 
/usr/lib/python2.2/site-packages/rhpl/ethtool.so 
up2date   3201       root  mem    REG       33,2    16384   2129923 
/var/lib/rpm/__db.001 
up2date   3201       root  mem    REG       33,2  1318912   2129924 
/var/lib/rpm/__db.002 
up2date   3201       root  mem    REG       33,2   458752   2129925 
/var/lib/rpm/__db.003 
up2date   3201       root  mem    REG       33,2    68928   9142374 
/usr/lib/python2.2/site-packages/gtk-2.0/gobject.so 
up2date   3201       root  mem    REG       33,2    71556  19791917 
/usr/lib/python2.2/site-packages/gtk-2.0/bonobo/ui.so 
up2date   3201       root  mem    REG       33,2    27828  17662115 
/usr/lib/python2.2/site-packages/gtk-2.0/gnome/canvas.so 
up2date   3201       root  mem    REG       33,2    14592   9273380 
/usr/lib/python2.2/site-packages/gtk-2.0/gtk/glade.so 
up2date   3201       root  mem    REG       33,2   208652    346293 
/usr/lib/libgobject-2.0.so.0.200.3 
up2date   3201       root  mem    REG       33,2    14948    346294 
/usr/lib/libgthread-2.0.so.0.200.3 
up2date   3201       root  mem    REG       33,2   429760    344294 
/usr/lib/libglib-2.0.so.0.200.3 
up2date   3201       root  mem    REG       33,2   794356   9273378 
/usr/lib/python2.2/site-packages/gtk-2.0/gtk/_gtk.so 
up2date   3201       root  mem    REG       33,2    28640  13467761 
/usr/lib/libglade/2.0/libgnome.so 
up2date   3201       root  mem    REG       33,2    11224  13467658 
/usr/lib/libglade/2.0/libbonobo.so 
up2date   3201       root  mem    REG       33,2    49356  17203284 
/usr/lib/gtk-2.0/2.2.0/engines/libbluecurve.so 
up2date   3201       root  mem    REG       33,2     1870   1720373 
/usr/share/locale/en_GB/LC_MESSAGES/libgnomeui-2.0.mo 
up2date   3201       root  mem    REG       33,2  2400428    344270 
/usr/lib/libgtk-x11-2.0.so.0.200.4 
up2date   3201       root  mem    REG       33,2   444860    344124 
/usr/lib/libgdk-x11-2.0.so.0.200.4 
up2date   3201       root  mem    REG       33,2   101288    345175 
/usr/lib/libatk-1.0.so.0.400.0 
up2date   3201       root  mem    REG       33,2    74088    344128 
/usr/lib/libgdk_pixbuf-2.0.so.0.200.4 
up2date   3201       root  mem    REG       33,2   131440    345712 
/usr/lib/libpangoxft-1.0.so.0.200.5 
up2date   3201       root  mem    REG       33,2    49060    345346 
/usr/lib/libpangox-1.0.so.0.200.5 
up2date   3201       root  mem    REG       33,2   204376    344323 
/usr/lib/libpango-1.0.so.0.200.5 
up2date   3201       root  mem    REG       33,2    10828    346292 
/usr/lib/libgmodule-2.0.so.0.200.3 
up2date   3201       root  mem    REG       33,2   907088   3080204 
/usr/X11R6/lib/libX11.so.6.2 
up2date   3201       root  mem    REG       33,2     9912   3080228 
/usr/X11R6/lib/libXrandr.so.2.0 
up2date   3201       root  mem    REG       33,2    27792   3080481 
/usr/X11R6/lib/libXi.so.6.0 
up2date   3201       root  mem    REG       33,2    53200   3080478 
/usr/X11R6/lib/libXext.so.6.4 
up2date   3201       root  mem    REG       33,2    70476   3080479 
/usr/X11R6/lib/libXft.so.2.1.1 
up2date   3201       root  mem    REG       33,2    27340   3080483 
/usr/X11R6/lib/libXrender.so.1.2.2 
up2date   3201       root  mem    REG       33,2   155116    344103 
/usr/lib/libfontconfig.so.1.0.4 
up2date   3201       root  mem    REG       33,2   327096    345532 
/usr/lib/libfreetype.so.6.3.3 
up2date   3201       root  mem    REG       33,2   126904    346283 
/usr/lib/libexpat.so.0.4.0 
up2date   3201       root  mem    REG       33,2 32135008    458847 
/usr/lib/locale/locale-archive 
up2date   3201       root  mem    REG       33,2     7556  18465025 
/usr/X11R6/lib/X11/locale/lib/common/xlcDef.so.2 
up2date   3201       root  mem    REG       33,2     8021   1720359 
/usr/share/locale/en_GB/LC_MESSAGES/gtk20.mo 
up2date   3201       root  mem    REG       33,2    62420   9142375 
/usr/lib/python2.2/site-packages/gtk-2.0/pango.so 
up2date   3201       root  mem    REG       33,2    36676   9142373 
/usr/lib/python2.2/site-packages/gtk-2.0/atk.so 
up2date   3201       root  mem    REG       33,2    19236  17662114 
/usr/lib/python2.2/site-packages/gtk-2.0/gnome/_gnome.so 
up2date   3201       root  mem    REG       33,2    51152   3653721 
/lib/libnss_files-2.3.2.so 
up2date   3201       root  mem    REG       33,2     1056   1720372 
/usr/share/locale/en_GB/LC_MESSAGES/libgnome-2.0.mo 
up2date   3201       root  mem    REG       33,2   118672  17662117 
/usr/lib/python2.2/site-packages/gtk-2.0/gnome/ui.so 
up2date   3201       root  mem    REG       33,2    81448    344142 
/usr/lib/libgnome-2.so.0.400.0 
up2date   3201       root  mem    REG       33,2   342288    344133 
/usr/lib/libbonobo-2.so.0.0.0 
up2date   3201       root  mem    REG       33,2   209224    344132 
/usr/lib/libgconf-2.so.4.1.0 
up2date   3201       root  mem    REG       33,2   232652    344135 
/usr/lib/libgnomevfs-2.so.0.400.0 
up2date   3201       root  mem    REG       33,2    78576    344224 
/usr/lib/libbonobo-activation.so.4.0.0 
up2date   3201       root  mem    REG       33,2   317672    344171 
/usr/lib/libORBit-2.so.0.0.0 
up2date   3201       root  mem    REG       33,2    30136    344289 
/usr/lib/libesd.so.0.2.31 
up2date   3201       root  mem    REG       33,2   144812    345241 
/usr/lib/libaudiofile.so.0.0.2 
up2date   3201       root  mem    REG       33,2    51152    344205 
/usr/lib/libORBitCosNaming-2.so.0.0.0 
up2date   3201       root  mem    REG       33,2  1010916    344165 
/usr/lib/libxml2.so.2.5.11 
up2date   3201       root  mem    REG       33,2    74064   6701499 
/usr/lib/python2.2/site-packages/ORBit.so 
up2date   3201       root  mem    REG       33,2   573708    344324 
/usr/lib/libgnomeui-2.so.0.400.0 
up2date   3201       root  mem    REG       33,2    31288   3080476 
/usr/X11R6/lib/libSM.so.6.0 
up2date   3201       root  mem    REG       33,2    81904   3080267 
/usr/X11R6/lib/libICE.so.6.3 
up2date   3201       root  mem    REG       33,2   397004    344320 
/usr/lib/libbonoboui-2.so.0.0.0 
up2date   3201       root  mem    REG       33,2   180196    344166 
/usr/lib/libgnomecanvas-2.so.0.400.0 
up2date   3201       root  mem    REG       33,2    86792    344215 
/usr/lib/libart_lgpl_2.so.2.3.14 
up2date   3201       root  mem    REG       33,2   138640    345282 
/usr/lib/libpangoft2-1.0.so.0.200.5 
up2date   3201       root  mem    REG       33,2   121028    344106 
/usr/lib/libjpeg.so.62.0.0 
up2date   3201       root  mem    REG       33,2    85152    344137 
/usr/lib/libglade-2.0.so.0.0.1 
up2date   3201       root  mem    REG       33,2    37404    344249 
/usr/lib/libORBit-imodule-2.so.0.0.0 
up2date   3201       root  mem    REG       33,2   163192    344089 
/usr/lib/libIDL-2.so.0.0.0 
up2date   3201       root  mem    REG       33,2    67548  12255263 
/usr/X11R6/lib/X11/fonts/TTF/luxisr.ttf 
up2date   3201       root  mem    REG       33,2     6584   8863780 
/usr/lib/pango/1.2.0/modules/pango-basic-xft.so 
up2date   3201       root  mem    REG       33,2    14464   8863847 
/usr/lib/gtk-2.0/2.2.0/loaders/libpixbufloader-png.so 
up2date   3201       root  mem    REG       33,2    69972  12255261 
/usr/X11R6/lib/X11/fonts/TTF/luxisb.ttf 
up2date   3201       root  mem    REG       33,2   142572    344144 
/usr/lib/libpng12.so.0.1.2.2 
up2date   3201       root  mem    REG       33,2    32532   3080212 
/usr/X11R6/lib/libXcursor.so.1.0 
up2date   3201       root  mem    REG       33,2    57387   4276229 
/usr/lib/python2.2/lib-dynload/binascii.so 
up2date   3201       root  mem    REG       33,2    48880   4276257 
/usr/lib/python2.2/lib-dynload/shamodule.so 
up2date   3201       root  mem    REG       33,2    52016   3653729 
/lib/libnss_nisplus-2.3.2.so 
up2date   3201       root  mem    REG       33,2    91236   3653697 
/lib/libnsl-2.3.2.so 
up2date   3201       root  mem    REG       33,2    18260   3653718 
/lib/libnss_dns-2.3.2.so 
up2date   3201       root  mem    REG       33,2   625767   6782979 
/usr/share/locale/en_US/LC_MESSAGES/redhat-dist.mo 
up2date   3201       root    0r   CHR        1,3              66973 /dev/null 
up2date   3201       root    1w  FIFO        0,7               6366 pipe 
up2date   3201       root    2w  FIFO        0,7               6366 pipe 
up2date   3201       root    3r   REG       33,2 56627200  18399657 
/var/lib/rpm/Packages 
up2date   3201       root    4r   REG       33,2    90112  18399658 
/var/lib/rpm/Name 
up2date   3201       root    5r   REG       33,2       58   3637345 
/var/run/sudo/agreen/unknown:root 
up2date   3201       root    6r   REG       33,2 56627200  18399657 
/var/lib/rpm/Packages 
up2date   3201       root    7r   REG       33,2   331776  18399662 
/var/lib/rpm/Providename 
up2date   3201       root    8r   REG       33,2 10723328  18399659 
/var/lib/rpm/Basenames 
up2date   3201       root    9u  unix 0xd2ffa4a4               8387 socket 
up2date   3201       root   10r  FIFO        0,7               8389 pipe 
up2date   3201       root   11w  FIFO        0,7               8389 pipe 
up2date   3201       root   12u  sock        0,4              17266 can't 
identify protocol 
up2date   3201       root   13r  FIFO        0,7               8390 pipe 
up2date   3201       root   14w  FIFO        0,7               8390 pipe 
up2date   3201       root   15r  FIFO        0,7               8391 pipe 
up2date   3201       root   16w  FIFO        0,7               8391 pipe 
up2date   3201       root   17r   REG       33,2   393216  18399661 
/var/lib/rpm/Requirename 
 
Comment 5 Andy Green 2003-10-11 05:45:59 EDT
By selecting packages to upgrade singly and installing, which worked, it 
became clear that the stall at the ''testing package set solving 
interdependencies dialog'' stage is being driven by certain packages being 
selected.  For example, a couple of dozen random packages installed fine when 
selected singly, but selecting the "cadaver" package for upgrade singly or 
with others (the UI says cadaver version 0.22.0-1 available vs 0.21.0-2 
installed) causes the 'freeze'. 
Comment 6 Barry K. Nathan 2003-10-11 12:49:01 EDT
up2date 3.9.x and up have a *built-in* yum client. yum does not need to be
installed for it to access yum repositories! 

Also note that using yum repos, whether via yum or up2date, is typically much
slower than using RHN in my experience.

I haven't tried up2date 4.x yet so I can't comment one way or another on the
validity of this bug, but I think the above info might be relevant...
Comment 7 Gene Czarcinski 2003-10-11 13:11:36 EDT
OK, according to messages on fedora-test-list, the following has occured:

1.  fedora-release-0.95 was added to rhn on Thursday (somewhat of a goof ... was
in rawhide and moved to rhn).  One that was done, your could not access the
servern test 2 (or updates channel).  You could get around this by getting the
old fedora-release-0.94 package and installing it or installing the
redhat-release-0.94-2 package.

2. To "fix" this situation, a new up2date package was put on rhn (and rawhide).
 This up2date changed the source of packages to rawhide (rather than rhn) with
yum access (I have been told by Bill Bottingham that up2date has builtin yum
support and the separate yum package is not needed ... I have not tested this).

Apparently, the soon to be released "test 3" (Beta 3), will be using rawhide as
the source for updated rather than having a separate rhn/updates channel and
rawhide.

All of this was discussed in messages on fedora-test-list.

While I think this could have been handled with more notification, I believe the
goal of a single updates channel being rawhide should save time and effort for
the red Hat folks and thus be to our benefit.

It is your bug but I don't think it will really help anything and suggest you
close it.  If you get the new up2date, everything should work with rawhide being
the source.
Comment 8 Adrian Likins 2003-10-13 12:48:11 EDT
indeed, up2date by default uses a yum channel pointing at 
the rawhide channel now. 

And yes, solving deps via yum repos are very very slow
the first time (it downloads _every_ header), so
that could be the cause of the "freeze". 

I'll probabaly take a look at prettying up the
dep solve callbacks for yum repos sometime
soon, since it gotten more importantly recently. 
Comment 9 Paul W. Frields 2003-10-14 09:14:47 EDT
Given the recent disclosures about the changes to up2date and the fact that the
yum repo is working fine for everyone (including me) now, I'm going to close
this as NOTABUG. Thanks to everyone for the assistance.

Note You need to log in before you can comment on or make changes to this bug.